/* Options: Date: 2026-06-20 21:22:28 Version: 8.80 Tip: To override a DTO option, remove "//" prefix before updating BaseUrl: https://api.simplified.id/v2 //Package: //AddServiceStackTypes: True //AddResponseStatus: False //AddImplicitVersion: //AddDescriptionAsComments: True IncludeTypes: CountIncompleteClients.* //ExcludeTypes: //InitializeCollections: False //TreatTypesAsStrings: //DefaultImports: java.math.*,java.util.*,java.io.InputStream,net.servicestack.client.*,com.google.gson.annotations.*,com.google.gson.reflect.* */ import java.math.* import java.util.* import java.io.InputStream import net.servicestack.client.* import com.google.gson.annotations.* import com.google.gson.reflect.* @Route(Path="/clients/incomplete/count", Verbs="GET") @DataContract open class CountIncompleteClients : BaseRequest(), IReturn { /** * How many days should have elapsed before counting a Client as incomplete (defaults to 7 days).Set to zero to count all incomplete clients */ @DataMember @ApiMember(Description="How many days should have elapsed before counting a Client as incomplete (defaults to 7 days).Set to zero to count all incomplete clients", ParameterType="query") open var daysIncomplete:Int? = null /** * Count clients that match the state specified (only PendingCompletion, or PendingVerification). */ @DataMember @ApiMember(Description="Count clients that match the state specified (only PendingCompletion, or PendingVerification).", ParameterType="query") open var state:ClientState? = null /** * Count clients that match the IsValidateMe flag specified (defaults to true). */ @DataMember @ApiMember(Description="Count clients that match the IsValidateMe flag specified (defaults to true).", ParameterType="query") open var isValidateMe:Boolean? = null companion object { private val responseType = CountIncompleteClientsResponse::class.java } override fun getResponseType(): Any? = CountIncompleteClients.responseType } @DataContract open class CountIncompleteClientsResponse { @DataMember @SerializedName("data") open var Data:CountIncompleteClientsData? = null } @DataContract open class Authentication { /** * The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User) */ @DataMember @ApiMember(Description="The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)", IsRequired=true, ParameterType="header, body") open var apiUserId:String? = null /** * The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key) */ @DataMember @ApiMember(Description="The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)", IsRequired=true, ParameterType="header, body") open var apiUserKey:String? = null /** * The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id). */ @DataMember @ApiMember(Description="The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).", ParameterType="header, body") open var userId:String? = null } @DataContract open class BaseRequest : IBaseRequest { /** * The authentication credentials */ @DataMember @ApiMember(Description="The authentication credentials", IsRequired=true, ParameterType="header, body") override var authentication:Authentication? = null } interface IBaseRequest { var authentication:Authentication? } @DataContract(Name="ClientState", Namespace="http://schemas.servicestack.net/types") enum class ClientState { Undefined, PendingCompletion, PendingOcr, PendingVerification, Verified, } open class CountIncompleteClientsData : BaseResponse() { open var numberOfIncompleteClients:Long? = null } open class BaseResponse : IBaseDataResponse, IHasResponseStatus { /** * The status of the response */ @ApiMember(Description="The status of the response") override var responseStatus:ResponseStatus? = null } interface IBaseDataResponse { var responseStatus:ResponseStatus? } interface IHasResponseStatus { var responseStatus:ResponseStatus? } open class ArrayOfResponseError : ArrayList() { }